package com.pcloud.book.book.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @author lily
 * @date 2018/12/4 11:11
 */
@ApiModel
@JsonInclude(JsonInclude.Include.NON_NULL)
public class BookAuthServeStatusParam implements Serializable {

    @ApiModelProperty("运营标识")
    private Long channelId;

    @ApiModelProperty("图书标识")
    private Long bookId;

    @ApiModelProperty("编辑标识")
    private Long adviserId;

    @ApiModelProperty("服务标识")
    private List<Long> serveIds;

    public Long getChannelId() {
        return channelId;
    }

    public void setChannelId(Long channelId) {
        this.channelId = channelId;
    }

    public Long getBookId() {
        return bookId;
    }

    public void setBookId(Long bookId) {
        this.bookId = bookId;
    }

    public Long getAdviserId() {
        return adviserId;
    }

    public void setAdviserId(Long adviserId) {
        this.adviserId = adviserId;
    }

    public List<Long> getServeIds() {
        return serveIds;
    }

    public void setServeIds(List<Long> serveIds) {
        this.serveIds = serveIds;
    }

    @Override
    public String toString() {
        return "BookAuthServeStatusParam{" +
                "channelId=" + channelId +
                ", bookId=" + bookId +
                ", adviserId=" + adviserId +
                ", serveIds=" + serveIds +
                '}';
    }
}
